/[CvsGraph]/cvsgraph/configure
ViewVC logotype

Diff of /cvsgraph/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.12, Sun Aug 15 16:58:22 2004 UTC revision 1.13, Mon Aug 16 08:39:27 2004 UTC
# Line 3358  Line 3358 
3358    
3359    
3360    
3361    if test "${ac_cv_header_sys_wait_h+set}" = set; then
3362      echo "$as_me:$LINENO: checking for sys/wait.h" >&5
3363    echo $ECHO_N "checking for sys/wait.h... $ECHO_C" >&6
3364    if test "${ac_cv_header_sys_wait_h+set}" = set; then
3365      echo $ECHO_N "(cached) $ECHO_C" >&6
3366    fi
3367    echo "$as_me:$LINENO: result: $ac_cv_header_sys_wait_h" >&5
3368    echo "${ECHO_T}$ac_cv_header_sys_wait_h" >&6
3369    else
3370      # Is the header compilable?
3371    echo "$as_me:$LINENO: checking sys/wait.h usability" >&5
3372    echo $ECHO_N "checking sys/wait.h usability... $ECHO_C" >&6
3373    cat >conftest.$ac_ext <<_ACEOF
3374    #line $LINENO "configure"
3375    /* confdefs.h.  */
3376    _ACEOF
3377    cat confdefs.h >>conftest.$ac_ext
3378    cat >>conftest.$ac_ext <<_ACEOF
3379    /* end confdefs.h.  */
3380    $ac_includes_default
3381    #include <sys/wait.h>
3382    _ACEOF
3383    rm -f conftest.$ac_objext
3384    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3385      (eval $ac_compile) 2>&5
3386      ac_status=$?
3387      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3388      (exit $ac_status); } &&
3389             { ac_try='test -s conftest.$ac_objext'
3390      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3391      (eval $ac_try) 2>&5
3392      ac_status=$?
3393      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3394      (exit $ac_status); }; }; then
3395      ac_header_compiler=yes
3396    else
3397      echo "$as_me: failed program was:" >&5
3398    sed 's/^/| /' conftest.$ac_ext >&5
3399    
3400    ac_header_compiler=no
3401    fi
3402    rm -f conftest.$ac_objext conftest.$ac_ext
3403    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
3404    echo "${ECHO_T}$ac_header_compiler" >&6
3405    
3406    # Is the header present?
3407    echo "$as_me:$LINENO: checking sys/wait.h presence" >&5
3408    echo $ECHO_N "checking sys/wait.h presence... $ECHO_C" >&6
3409    cat >conftest.$ac_ext <<_ACEOF
3410    #line $LINENO "configure"
3411    /* confdefs.h.  */
3412    _ACEOF
3413    cat confdefs.h >>conftest.$ac_ext
3414    cat >>conftest.$ac_ext <<_ACEOF
3415    /* end confdefs.h.  */
3416    #include <sys/wait.h>
3417    _ACEOF
3418    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3419      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3420      ac_status=$?
3421      grep -v '^ *+' conftest.er1 >conftest.err
3422      rm -f conftest.er1
3423      cat conftest.err >&5
3424      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3425      (exit $ac_status); } >/dev/null; then
3426      if test -s conftest.err; then
3427        ac_cpp_err=$ac_c_preproc_warn_flag
3428      else
3429        ac_cpp_err=
3430      fi
3431    else
3432      ac_cpp_err=yes
3433    fi
3434    if test -z "$ac_cpp_err"; then
3435      ac_header_preproc=yes
3436    else
3437      echo "$as_me: failed program was:" >&5
3438    sed 's/^/| /' conftest.$ac_ext >&5
3439    
3440      ac_header_preproc=no
3441    fi
3442    rm -f conftest.err conftest.$ac_ext
3443    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
3444    echo "${ECHO_T}$ac_header_preproc" >&6
3445    
3446    # So?  What about this header?
3447    case $ac_header_compiler:$ac_header_preproc in
3448      yes:no )
3449        { echo "$as_me:$LINENO: WARNING: sys/wait.h: accepted by the compiler, rejected by the preprocessor!" >&5
3450    echo "$as_me: WARNING: sys/wait.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
3451        { echo "$as_me:$LINENO: WARNING: sys/wait.h: proceeding with the preprocessor's result" >&5
3452    echo "$as_me: WARNING: sys/wait.h: proceeding with the preprocessor's result" >&2;}
3453        (
3454          cat <<\_ASBOX
3455    ## ------------------------------------ ##
3456    ## Report this to bug-autoconf@gnu.org. ##
3457    ## ------------------------------------ ##
3458    _ASBOX
3459        ) |
3460          sed "s/^/$as_me: WARNING:     /" >&2
3461        ;;
3462      no:yes )
3463        { echo "$as_me:$LINENO: WARNING: sys/wait.h: present but cannot be compiled" >&5
3464    echo "$as_me: WARNING: sys/wait.h: present but cannot be compiled" >&2;}
3465        { echo "$as_me:$LINENO: WARNING: sys/wait.h: check for missing prerequisite headers?" >&5
3466    echo "$as_me: WARNING: sys/wait.h: check for missing prerequisite headers?" >&2;}
3467        { echo "$as_me:$LINENO: WARNING: sys/wait.h: proceeding with the preprocessor's result" >&5
3468    echo "$as_me: WARNING: sys/wait.h: proceeding with the preprocessor's result" >&2;}
3469        (
3470          cat <<\_ASBOX
3471    ## ------------------------------------ ##
3472    ## Report this to bug-autoconf@gnu.org. ##
3473    ## ------------------------------------ ##
3474    _ASBOX
3475        ) |
3476          sed "s/^/$as_me: WARNING:     /" >&2
3477        ;;
3478    esac
3479    echo "$as_me:$LINENO: checking for sys/wait.h" >&5
3480    echo $ECHO_N "checking for sys/wait.h... $ECHO_C" >&6
3481    if test "${ac_cv_header_sys_wait_h+set}" = set; then
3482      echo $ECHO_N "(cached) $ECHO_C" >&6
3483    else
3484      ac_cv_header_sys_wait_h=$ac_header_preproc
3485    fi
3486    echo "$as_me:$LINENO: result: $ac_cv_header_sys_wait_h" >&5
3487    echo "${ECHO_T}$ac_cv_header_sys_wait_h" >&6
3488    
3489    fi
3490    if test $ac_cv_header_sys_wait_h = yes; then
3491       cat >>confdefs.h <<\_ACEOF
3492    #define HAVE_SYS_WAIT_H 1
3493    _ACEOF
3494    
3495    fi
3496    
3497    
3498    
3499  if test "${ac_cv_header_gd_h+set}" = set; then  if test "${ac_cv_header_gd_h+set}" = set; then
3500    echo "$as_me:$LINENO: checking for gd.h" >&5    echo "$as_me:$LINENO: checking for gd.h" >&5
3501  echo $ECHO_N "checking for gd.h... $ECHO_C" >&6  echo $ECHO_N "checking for gd.h... $ECHO_C" >&6

Legend:
Removed from v.1.12  
changed lines
  Added in v.1.13

  ViewVC Help
Powered by ViewVC 1.1.0 with CvsGraph 1.7.0